Subject: Re: patch submission process, was Re: [PATCH v6 06/16] merge_recursive: abort properly upon errors

From: Eric Wong <[email-masked]>
Date: Fri, 5 Aug 2016 08:50:09 +0000

Johannes Schindelin <[email-masked]> wrote:

Agreed on all above points :>

> On Thu, 4 Aug 2016, Eric Wong wrote:
> > Of course, centralized systems are unacceptable to me;
> > and with that I'll never claim any network service I run
> > will be reliable :)
> 
> Hehehe. I guess that's why the public-inbox is backed by a Git
> repository... BTW is it auto-mirrored anywhere?

Yep, and the code is AGPL so others can always replicate it.

I just have the onions mentioned at the bottom of the HTML pages
running something like:

	torsocks git fetch && public-inbox-index && sleep 30

in a loop[1].

	http://hjrcffqmbrq6wope.onion/git
	http://czquwvybam4bgbro.onion/git

I do encourage anybody who is able to, to run their own mirrors
(off their existing email subscription) so my MX doesn't become
an SPOF, either.  I sorta documented it in my original announcement:

https://public-inbox.org/git/[email-masked]/
https://public-inbox.org/INSTALL

Feel free to ask me (+ [email-masked]) for
install/running questions related to public-inbox
(haven't gotten to making it work outside of Debian stable, though).

[1] one of my far-off goals for git be: "git fetch --wait-for-update"
    to avoid needless wakeups